<?php
namespace Claromentis\Infocapture\Model;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"] ?: array()) + array("i" . "d" => base64_decode("a" . "W" . "Q" . "="), "_e258c5dc52" . "2b65a064571" . "1c5089a8e9c" => base64_decode("aXRlbXM" . "="), "_bd71c3b5c201fc11db82ed14" . "ce424de5" => base64_decode("aW5f" . "YXJy" . "YXk="), "_7f628626dd1d55c71b1" . "fc0932ffd1d2c" => base64_decode("aXNfYXJyYX" . "k="), "_117f61bda13594e2daf5b0c" . "38ea9d5eb" => base64_decode("Q2Fubm90IHNldCBJ" . "RA=="), "_db6f0ba0791e9a635407" . "659a9fe04e40" => base64_decode("aXNfb2JqZW" . "N0"), "_e90d5db4c6313e90f983d" . "a3d59a5f1a6" => base64_decode("b3JpZ" . "2luYW" . "w="));













class ICWorkflow
{
    protected $info = [];
    
    
    protected $actual_items = null;
    protected $original_object = null;
    const COLUMNS = ['id', 'project_id', 'field_symname', 'rule_id', 'pos'];
    public function AddItem(array $_59cdb5ce92fcf760d09d3c6ed5b03aaa)
    {
        $this->actual_items = $this->actual_items ?? [];
        $this->actual_items[] = $_59cdb5ce92fcf760d09d3c6ed5b03aaa;
    }
    public function __get($name)
    {
        if ($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_bd71c3b5c201fc11db82ed14ce424de" . "5"]($name, self::COLUMNS)) {
            return $this->info[$name] ?? null;
        } elseif ($name === $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_e258c5dc522b" . "65a0645711c50" . "89a8e9c"]) {
            return $this->actual_items;
        } elseif ($name === $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_e90d5db4c6313e90f" . "983da3d59a5f1a6"]) {
            return $this->original_object;
        } else {
            throw new \InvalidArgumentException();
        }
    }
    public function __set($name, $value)
    {
        if ($name === $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["i" . "d"]) {
            throw new \InvalidArgumentException($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_117f61bda13594e" . "2daf5b0c38ea9d5e" . "b"]);
        } elseif ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_bd71c3b5c201fc11db82ed14" . "ce424de5"]($name, self::COLUMNS) && !$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_db6f0ba0791e9a635407659a9fe0" . "4e40"]($value) && !$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_7f628626dd1d55c71b" . "1fc0932ffd1d2c"]($value)) {
            $this->info[$name] = $value;
        } elseif ($name === $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_e258c5dc522b65a0645711c508" . "9a8e9c"] && $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_7f628626dd1d55c71b1" . "fc0932ffd1d2c"]($value)) {
            $this->actual_items = $value;
        } else {
            throw new \InvalidArgumentException();
        }
    }
    public function __isset($name)
    {
        return $name === $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_e258c5dc" . "522b65a06" . "45711c508" . "9a8e9c"] && isset($this->actual_items) || $name === $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_e90d5db4c6313e90f983da3d59a5f1a" . "6"] && isset($this->original_object) || isset($this->info[$name]);
    }
    public function __clone()
    {
        
        
        if (isset($this->actual_items)) {
            $_21c3d37b9b5703fbf53e3c75860d4529 = $this->actual_items;
            $this->actual_items = [];
            foreach ($_21c3d37b9b5703fbf53e3c75860d4529 as $_59cdb5ce92fcf760d09d3c6ed5b03aaa) {
                if ($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_db6f0ba0791e9a635407659a9fe0" . "4e40"]($_59cdb5ce92fcf760d09d3c6ed5b03aaa)) {
                    $_59cdb5ce92fcf760d09d3c6ed5b03aaa = clone $_59cdb5ce92fcf760d09d3c6ed5b03aaa;
                }
                $this->actual_items[] = $_59cdb5ce92fcf760d09d3c6ed5b03aaa;
            }
        }
    }
    
    
    
    
    
    
    
    public function SetInfo(array $info)
    {
        $this->info = $info;
    }
    
    
    
    
    
    public function GetInfo() : array
    {
        return $this->info;
    }
    
    
    
    
    
    
    
    public function SetOriginal(ICWorkflow $_e90d5db4c6313e90f983da3d59a5f1a6 = null)
    {
        
        
        $this->original_object = null;
        if (isset($_e90d5db4c6313e90f983da3d59a5f1a6)) {
            $_e90d5db4c6313e90f983da3d59a5f1a6 = clone $_e90d5db4c6313e90f983da3d59a5f1a6;
        }
        $this->original_object = $_e90d5db4c6313e90f983da3d59a5f1a6;
    }
    public function ClearItems()
    {
        $this->actual_items = [];
    }
}